summaryrefslogtreecommitdiff
path: root/tests/tests/build-modes-gbp
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2015-07-27 13:16:14 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2015-07-27 13:16:14 +0100
commitcfec91c99eff2ed5d6e914b54ef81d9ddca78ca8 (patch)
treec3f1884c127f83ea381559a661be68b623ec8080 /tests/tests/build-modes-gbp
parentf1e6215c9cfc0b24822713bce52174c70ff8d6b9 (diff)
Test suite: Provide tests which check that all our various build operations run the right targets as expected (ie, that we are massaging the arguments to dpkg-buildpackage, and suppressing our clean target, etc., correctly).
Diffstat (limited to 'tests/tests/build-modes-gbp')
-rwxr-xr-xtests/tests/build-modes-gbp37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/tests/build-modes-gbp b/tests/tests/build-modes-gbp
new file mode 100755
index 0000000..938e589
--- /dev/null
+++ b/tests/tests/build-modes-gbp
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-build-modes
+
+t-dependencies git-buildpackage
+
+quirk-clean-fixup () {
+ case $cleanmode in
+ dpkg-source*)
+ # git-buildpackage runs the clean target twice somehow
+ perl -i.unfixed -ne '
+ print unless
+ $_ eq $last &&
+ $_ eq "EXAMPLE RULES TARGET clean\n";
+ $last = $_;
+ ' $bmgot
+ ;;
+ esac
+}
+bm_quirk_before_diff=quirk-clean-fixup
+
+bm-prep
+
+for act in \
+ 'git-build -S' \
+ 'git-build -b' \
+ 'git-build -B' \
+ 'git-build -A' \
+ 'git-build -F' \
+; do
+ bm-guess-e-source-e-targets "$act"
+ real_act="$act --git-ignore-branch"
+ bm-act-iterate
+done
+
+echo ok.